maxscale(1)

NAME
maxscale - The intelligent proxy

SYNOPSIS
maxscale [OPTIONS...]

DESCRIPTION
The MariaDB Corporation MaxScale is an intelligent proxy that allows forwarding of database statements to one or more database servers using complex rules, a semantic understanding of the database statements and the roles of the various servers within the backend cluster of databases. MaxScale is designed to provide load balancing and high availability functionality transparently to the applications. In addition it provides a highly scalable and flexible architecture, with plugin components to support different protocols and routing decisions.

OPTIONS

-d, --nodaemon
    Run MaxScale in the terminal process

-f FILE, --config=FILE
    Relative or absolute pathname of MaxScale configuration file to load.

-l[file|shm], --log=[file|shm]
    Log trace and debug logs to file or shared memory. The debug and trace logs are disabled by default and if enabled, will log to shared memory.

-L PATH, --logdir=PATH
    Path to log file directory.

-D PATH, --datadir=PATH
    Path to data directory. This is where the embedded mysql tables are stored in addition to other MaxScale specific data.

-C PATH, --configdir=PATH
    Path to configuration file directory. MaxScale will look for the maxscale.cnf file from this folder.

-B PATH, --libdir=PATH
    Path to module directory. Modules are only searched from this folder.

-A PATH, --cachedir=PATH
    Path to cache directory. This is where MaxScale stores cached authentication data.

-P PATH, --piddir=PATH
    Location of MaxScale's PID file.

-U USER, --user=USER
    Run MaxScale as another user. The user ID and group ID of this user are used to run MaxScale.

-s [yes|no], --syslog=[yes|no]
    Log messages to syslog.

-S [yes|no], --maxscalelog=[yes|no]
    Log messages to MaxScale's own log files.

-v, --version
    Print version information and exit.

-?, --help
    Show the help information for MaxScale and exit.

EXAMPLES
Tutorials on GitHub: https://github.com/mariadb-corporation/MaxScale/blob/master/Documentation/Documentation-Contents.md#tutorials

SEE ALSO
The MaxScale documentation on GitHub: https://github.com/mariadb-corporation/MaxScale/blob/master/Documentation/Documentation-Contents.md